*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Bricolage Grotesque", sans-serif;
}

.common{
    margin: 0 200px;
}

.header{
    background-color: whitesmoke;
    position: sticky;
    top: 0;
    z-index: 100;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding: 20px 0;
}

.logo a{
    font-size: 30px;
    font-weight: 700;
    color: rgb(165 61 255 );
    text-decoration: none;
}

.logo span{
    font-weight: 400;
    color: rgb(0, 0, 0);
}

.menu ul{
    display: flex;
    gap: 25px;
    list-style: none;
}

.menu ul li{
    margin: 0 20px;
}

.menu ul li a{
    font-size: 20px;
    font-weight: 400;
    color: rgb(0, 0, 0);
    text-decoration: none;
}
.menu ul li a:hover{
    color: rgb(165 61 255 );
}

.menu ul li a[active]{
    color: rgb(165 61 255 );
}

.contact ul{
    list-style: none;
}

/*   */

.contact ul li a{
    padding: 10px 20px;
    border-radius: 5px;
    background-color: rgb(165 61 255 );
    color: white;
    text-decoration: none;
    font-size: 20px;
}

.contact ul li a:hover{
    padding: 9px 19px;
    border: 1px solid rgb(165 61 255 );
    background-color: white;
    color: rgb(165 61 255 );
}


/* Hero Section */

.hero{
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.h_image{
    position: absolute;
    inset: 0;
    z-index: 1;
}

.h_image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Optional Dark Overlay */

.h_image::after{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.4);
}

.h_info{
    position: relative;
    z-index: 2;

    display: flex;
    flex-direction: column;
    justify-content: center;

    color: white;
}

.h_intro{
    font-size: 60px;
    font-weight: 800;
    letter-spacing: 2px;
}

.h_name{
    margin: 0;
    font-size: 90px;
    font-weight: 900;
    letter-spacing: 3px;
}

.name{
    color: rgb(165, 61, 255);
}


.h_desc{
    margin-top: 10px;
    font-size: 40px;
}


.buttons{
    margin-top: 30px;
}

.hero_btn{
    display: inline-block;

    margin-right: 15px;
    padding: 15px 30px;

    background-color: rgb(165, 61, 255);

    color: white;
    text-decoration: none;
    font-size: 20px;

    border-radius: 5px;

    transition: 0.3s;
}

.hero_btn:hover{
    background-color: white;
    color: black;
}


/* About Section */
.a_title{
    font-size: 40px;
    font-weight: 800;
    margin: 100px 0 100px 0;
    text-align: center;
}

.a_info{
    display: flex;
    justify-content: space-between;
    gap: 50px;
}

.a_image{
    padding: 10px 10px 5px 10px;
    background-color: rgba(164, 61, 255, 0.276);
    border-radius: 10px;
}

.a_image img{
    object-fit: cover;
    
    border-radius: 5px;
}

.info_title{
    margin: 0 0 0 50px;
    color: rgb(0, 0, 0);
}

.info_title h3{
    width: 700px;
    font-size: 45px;
    font-weight: 500;
    margin-bottom: 20px;
}

.info_title h3 i{
    color: rgb(165 61 255 );
}

.info_title p{
    font-size: 20px;
    text-align: justify;
    color: rgb(0, 0, 0);
    line-height: 30px;
}


/* Skills Section */

.skill{
    margin-top: 150px;
    padding: 30px 0 100px 0;
    background-color: rgb(96, 0, 199);
}

.s_title{
    text-align: center;
    color: white;
    margin-bottom: 100px;
}

.s_item{
    width: 538px;
    display: flex;
    align-items: center;
    margin-bottom: 40px;
}

.left{
    margin-right: auto;
}

.right{
    margin-left: auto;
}

.s_number{
    margin-right: 25px;
    padding: 12px 22px;
    border-radius: 12px;
    background-color: rgba(128, 147, 255, 0.2);
    font-size: 22px;
    font-weight: 800;
    color: white;
}

.s_number1{
    padding: 12px 29px;
}

.s_name h3{
    font-size: 30px;
    font-weight: 700;
    color: white;
}

.s_bar{
    margin-top: 10px;
    display: flex;
    align-items: center;
    gap: 15px;
}

.s_bar p{
    margin: 0;
    font-size: 25px;
    font-weight: 700;
    color: white;
}

.progress_bar{
    width: 350px;
    height: 25px;
    background-color: rgba(255,255,255,0.2);
    border-radius: 3px;
    overflow: hidden;
}

.s_progress{
    display: block;
    height: 100%;
    background-color: white;
    border-radius: 3px;
}

.html{
    width: 90%;
}

.ui{
    width: 85%;
}

.python{
    width: 85%;
}

.django{
    width: 70%;
}

.graphic{
    width: 95%;
}

.solve{
    width: 92%;
}


/* Portfolio Section */

.projects{
    margin-top: 0;
    padding: 0 0 100px 0;
    background-color: rgb(243, 243, 243);
    margin-bottom: 0;
}

.p_title{
    padding: 80px 0;
    color: rgb(0, 0, 0);
}

.row1{
    margin-bottom: 50px;
}

.p_cards{
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.p_card{
    width: 450px;
    padding: 15px;
    background-color: rgb(255, 255, 255);
    border-radius: 7px;
    text-align: center;
    box-shadow: 5px 5px 5px 0 rgba(0, 0, 0, 0.06);
}

.p_card img{
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 3px;
}

.p_card h3{
    margin: 20px 0 10px 0;
    height: 80px;
    text-align: start;
    font-size: 35px;
    font-weight: 600;
    color: rgb(0, 0, 0);
}

.p_card p{
    text-align: start;
    text-align: justify;
    font-size: 18px;
    font-weight: 400;
    color: rgb(0, 0, 0);
    line-height: 25px;
}

.p_button{
    width: 100%;
    display: inline-block;
    margin-top: 20px;
    padding: 10px 37%;
    background-color: rgb(165 61 255);
    color: white;
    text-decoration: none;
    font-size: 18px;
    border-radius: 5px;
}

/* Footer Section */

.footer{
    background-color: rgb(0, 0, 0);
    padding: 60px 0;
}

.f_info{
    margin-top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.f_info p{
    color: white;
    font-size: 18px;
}

.icons{
    display: flex;
    align-items: center;
}

.icons p{
    color: white;
    font-size: 22px;
    font-weight: 700;
    margin-right: 20px;
}

.icons a{
    background-color: rgb(165 61 255 );
    padding: 10px;
    border-radius: 50px;
    color: white;
    font-size: 20px;
    margin-left: 20px;
    text-decoration: none;
}

.icons a:hover{
    color: rgb(165 61 255 );
    background-color: white;
}
